Package ru.bitel.bgbilling.plugins.helpdesk.server.bean.event

# Class TopicWillBeCreated

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.plugins.helpdesk.server.bean.event.TopicWillBeCreated

All Implemented Interfaces:
  `Serializable`, `ErrorReturnableEvent`

public class TopicWillBeCreated extends ru.bitel.bgbilling.kernel.event.common.LocalEvent
Событие создание топика в HelpDesk. В этапе создания бросается как минимум один раз, как максимум ни чем не ограничен. В первый раз может быть брошен при выборе подкатегории( если эти самые подкатегории есть ) и еще n-раз, где n-количество раз которое веб юзер выберет подкатегорию.(раунд 1) И последний раз вызов произойдет при непосредственно создании топика(раунд 2). Этих последних раз может быть тоже много, если скрипт запрещает создание, веб юзеру просто выводится сообщение скрипта.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TopicWillBeCreated(Topic topic, int round, int pid, String message)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getErrorMessage()`
  Сообщение которое будет выведено пользователю рядом с подкатегорией в 1 раунде, а во 2 раунде будет выведено в качестве алерт сообщения.
  `String`
  `getMessage()`
  Первое сообщение пользователя.
  `int`
  `getRound()`
  1 = раунд, это момент когда выбирается подкатегория(сколько раз будет выбрана подкатегории, столько и будет срабатывать событие). 2 - раунд, непосредственно перед созданием темы.
  `Topic`
  `getTopic()`
  `boolean`
  `isAllowCreate()`
  Скрипт возвращает можно ли продолжать создавать тему.
  `void`
  `setAllowCreate(boolean allowCreate)`
  `void`
  `setErrorMessage(String errorMessage)`
  `void`
  `setMessage(String message)`
  `void`
  `setRound(int round)`
  `void`
  `setTopic(Topic topic)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.LocalEvent

  `getError, setError`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TopicWillBeCreated

    public TopicWillBeCreated(Topic topic, int round, int pid, String message)

- ## Method Details

  - ### getTopic

    public Topic getTopic()

  - ### setTopic

    public void setTopic(Topic topic)

  - ### isAllowCreate

    public boolean isAllowCreate()
    Скрипт возвращает можно ли продолжать создавать тему.

  - ### setAllowCreate

    public void setAllowCreate(boolean allowCreate)

  - ### getErrorMessage

    public String getErrorMessage()
    Сообщение которое будет выведено пользователю рядом с подкатегорией в 1 раунде, а во 2 раунде будет выведено в качестве алерт сообщения.

  - ### setErrorMessage

    public void setErrorMessage(String errorMessage)

  - ### getRound

    public int getRound()
    1 = раунд, это момент когда выбирается подкатегория(сколько раз будет выбрана подкатегории, столько и будет срабатывать событие). 2 - раунд, непосредственно перед созданием темы.

  - ### setRound

    public void setRound(int round)

  - ### getMessage

    public String getMessage()
    Первое сообщение пользователя. На первом круге, скорее всего, оно будет = null

  - ### setMessage

    public void setMessage(String message)